#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* ColonOutputSelect */
#define ColonOutputSelect_ctrl_reg__0__MASK 0x01u
#define ColonOutputSelect_ctrl_reg__0__POS 0
#define ColonOutputSelect_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB10_11_ACTL
#define ColonOutputSelect_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB10_11_CTL
#define ColonOutputSelect_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB10_11_CTL
#define ColonOutputSelect_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB10_11_CTL
#define ColonOutputSelect_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB10_11_CTL
#define ColonOutputSelect_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B0_UDB10_11_MSK
#define ColonOutputSelect_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB10_11_MSK
#define ColonOutputSelect_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB10_11_MSK
#define ColonOutputSelect_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB10_11_MSK
#define ColonOutputSelect_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B0_UDB10_ACTL
#define ColonOutputSelect_ctrl_reg__CONTROL_REG CYREG_B0_UDB10_CTL
#define ColonOutputSelect_ctrl_reg__CONTROL_ST_REG CYREG_B0_UDB10_ST_CTL
#define ColonOutputSelect_ctrl_reg__COUNT_REG CYREG_B0_UDB10_CTL
#define ColonOutputSelect_ctrl_reg__COUNT_ST_REG CYREG_B0_UDB10_ST_CTL
#define ColonOutputSelect_ctrl_reg__MASK 0x01u
#define ColonOutputSelect_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB10_MSK_ACTL
#define ColonOutputSelect_ctrl_reg__PERIOD_REG CYREG_B0_UDB10_MSK
#define ColonOutputSelect_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB10_MSK_ACTL

/* I2C_1_I2C_IRQ */
#define I2C_1_I2C_IRQ__ES2_PATCH 0
#define I2C_1_I2C_IRQ__INTC_CLR_EN_REG CYREG_INTC_CLR_EN1
#define I2C_1_I2C_IRQ__INTC_CLR_PD_REG CYREG_INTC_CLR_PD1
#define I2C_1_I2C_IRQ__INTC_MASK 0x80u
#define I2C_1_I2C_IRQ__INTC_NUMBER 15
#define I2C_1_I2C_IRQ__INTC_PRIOR_NUM 7
#define I2C_1_I2C_IRQ__INTC_PRIOR_REG CYREG_INTC_PRIOR15
#define I2C_1_I2C_IRQ__INTC_SET_EN_REG CYREG_INTC_SET_EN1
#define I2C_1_I2C_IRQ__INTC_SET_PD_REG CYREG_INTC_SET_PD1
#define I2C_1_I2C_IRQ__INTC_VECT (CYREG_INTC_VECT_MBASE+0x1Eu)

/* I2C_1_I2C_FF */
#define I2C_1_I2C_FF__ADR CYREG_I2C_ADR
#define I2C_1_I2C_FF__CFG CYREG_I2C_CFG
#define I2C_1_I2C_FF__CLK_DIV1 CYREG_I2C_CLK_DIV1
#define I2C_1_I2C_FF__CLK_DIV2 CYREG_I2C_CLK_DIV2
#define I2C_1_I2C_FF__CSR CYREG_I2C_CSR
#define I2C_1_I2C_FF__D CYREG_I2C_D
#define I2C_1_I2C_FF__MCSR CYREG_I2C_MCSR
#define I2C_1_I2C_FF__PM_ACT_CFG CYREG_PM_ACT_CFG5
#define I2C_1_I2C_FF__PM_ACT_MSK 0x04u
#define I2C_1_I2C_FF__PM_STBY_CFG CYREG_PM_STBY_CFG5
#define I2C_1_I2C_FF__PM_STBY_MSK 0x04u
#define I2C_1_I2C_FF__XCFG CYREG_I2C_XCFG

/* PWM_1_PWMUDB */
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB11_12_ACTL
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB11_12_CTL
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB11_12_CTL
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB11_12_CTL
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB11_12_CTL
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_MASK_MASK_REG CYREG_B0_UDB11_12_MSK
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB11_12_MSK
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB11_12_MSK
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB11_12_MSK
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__7__MASK 0x80u
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__7__POS 7
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_AUX_CTL_REG CYREG_B0_UDB11_ACTL
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_REG CYREG_B0_UDB11_CTL
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_ST_REG CYREG_B0_UDB11_ST_CTL
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_REG CYREG_B0_UDB11_CTL
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_ST_REG CYREG_B0_UDB11_ST_CTL
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__MASK 0x80u
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB11_MSK_ACTL
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__PERIOD_REG CYREG_B0_UDB11_MSK
#define PWM_1_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB11_MSK_ACTL
#define PWM_1_PWMUDB_sP8_pwmdp_u0__16BIT_A0_REG CYREG_B0_UDB11_12_A0
#define PWM_1_PWMUDB_sP8_pwmdp_u0__16BIT_A1_REG CYREG_B0_UDB11_12_A1
#define PWM_1_PWMUDB_sP8_pwmdp_u0__16BIT_D0_REG CYREG_B0_UDB11_12_D0
#define PWM_1_PWMUDB_sP8_pwmdp_u0__16BIT_D1_REG CYREG_B0_UDB11_12_D1
#define PWM_1_PWMUDB_sP8_pwmdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB11_12_ACTL
#define PWM_1_PWMUDB_sP8_pwmdp_u0__16BIT_F0_REG CYREG_B0_UDB11_12_F0
#define PWM_1_PWMUDB_sP8_pwmdp_u0__16BIT_F1_REG CYREG_B0_UDB11_12_F1
#define PWM_1_PWMUDB_sP8_pwmdp_u0__A0_A1_REG CYREG_B0_UDB11_A0_A1
#define PWM_1_PWMUDB_sP8_pwmdp_u0__A0_REG CYREG_B0_UDB11_A0
#define PWM_1_PWMUDB_sP8_pwmdp_u0__A1_REG CYREG_B0_UDB11_A1
#define PWM_1_PWMUDB_sP8_pwmdp_u0__D0_D1_REG CYREG_B0_UDB11_D0_D1
#define PWM_1_PWMUDB_sP8_pwmdp_u0__D0_REG CYREG_B0_UDB11_D0
#define PWM_1_PWMUDB_sP8_pwmdp_u0__D1_REG CYREG_B0_UDB11_D1
#define PWM_1_PWMUDB_sP8_pwmdp_u0__DP_AUX_CTL_REG CYREG_B0_UDB11_ACTL
#define PWM_1_PWMUDB_sP8_pwmdp_u0__F0_F1_REG CYREG_B0_UDB11_F0_F1
#define PWM_1_PWMUDB_sP8_pwmdp_u0__F0_REG CYREG_B0_UDB11_F0
#define PWM_1_PWMUDB_sP8_pwmdp_u0__F1_REG CYREG_B0_UDB11_F1
#define PWM_1_PWMUDB_sP8_pwmdp_u0__MSK_DP_AUX_CTL_REG CYREG_B0_UDB11_MSK_ACTL
#define PWM_1_PWMUDB_sP8_pwmdp_u0__PER_DP_AUX_CTL_REG CYREG_B0_UDB11_MSK_ACTL
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__0__MASK 0x01u
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__0__POS 0
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB11_12_ACTL
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__16BIT_STATUS_REG CYREG_B0_UDB11_12_ST
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__1__MASK 0x02u
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__1__POS 1
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__2__MASK 0x04u
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__2__POS 2
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__3__MASK 0x08u
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__3__POS 3
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__5__MASK 0x20u
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__5__POS 5
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__MASK 0x2Fu
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__MASK_REG CYREG_B0_UDB11_MSK
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__MASK_ST_AUX_CTL_REG CYREG_B0_UDB11_MSK_ACTL
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__PER_ST_AUX_CTL_REG CYREG_B0_UDB11_MSK_ACTL
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__STATUS_AUX_CTL_REG CYREG_B0_UDB11_ACTL
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__STATUS_CNT_REG CYREG_B0_UDB11_ST_CTL
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__STATUS_CONTROL_REG CYREG_B0_UDB11_ST_CTL
#define PWM_1_PWMUDB_sSTSReg_rstSts_stsreg__STATUS_REG CYREG_B0_UDB11_ST

/* SelectModule */
#define SelectModule__0__MASK 0x10u
#define SelectModule__0__PC CYREG_PRT2_PC4
#define SelectModule__0__PORT 2
#define SelectModule__0__SHIFT 4
#define SelectModule__1__MASK 0x20u
#define SelectModule__1__PC CYREG_PRT2_PC5
#define SelectModule__1__PORT 2
#define SelectModule__1__SHIFT 5
#define SelectModule__2__MASK 0x40u
#define SelectModule__2__PC CYREG_PRT2_PC6
#define SelectModule__2__PORT 2
#define SelectModule__2__SHIFT 6
#define SelectModule__3__MASK 0x80u
#define SelectModule__3__PC CYREG_PRT2_PC7
#define SelectModule__3__PORT 2
#define SelectModule__3__SHIFT 7
#define SelectModule__AG CYREG_PRT2_AG
#define SelectModule__AMUX CYREG_PRT2_AMUX
#define SelectModule__BIE CYREG_PRT2_BIE
#define SelectModule__BIT_MASK CYREG_PRT2_BIT_MASK
#define SelectModule__BYP CYREG_PRT2_BYP
#define SelectModule__CTL CYREG_PRT2_CTL
#define SelectModule__DM0 CYREG_PRT2_DM0
#define SelectModule__DM1 CYREG_PRT2_DM1
#define SelectModule__DM2 CYREG_PRT2_DM2
#define SelectModule__DR CYREG_PRT2_DR
#define SelectModule__INP_DIS CYREG_PRT2_INP_DIS
#define SelectModule__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define SelectModule__LCD_EN CYREG_PRT2_LCD_EN
#define SelectModule__MASK 0xF0u
#define SelectModule__PORT 2
#define SelectModule__PRT CYREG_PRT2_PRT
#define SelectModule__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define SelectModule__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define SelectModule__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define SelectModule__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define SelectModule__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define SelectModule__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define SelectModule__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define SelectModule__PS CYREG_PRT2_PS
#define SelectModule__SHIFT 4
#define SelectModule__SLW CYREG_PRT2_SLW

/* DispColon */
#define DispColon__0__MASK 0x08u
#define DispColon__0__PC CYREG_PRT2_PC3
#define DispColon__0__PORT 2
#define DispColon__0__SHIFT 3
#define DispColon__AG CYREG_PRT2_AG
#define DispColon__AMUX CYREG_PRT2_AMUX
#define DispColon__BIE CYREG_PRT2_BIE
#define DispColon__BIT_MASK CYREG_PRT2_BIT_MASK
#define DispColon__BYP CYREG_PRT2_BYP
#define DispColon__CTL CYREG_PRT2_CTL
#define DispColon__DM0 CYREG_PRT2_DM0
#define DispColon__DM1 CYREG_PRT2_DM1
#define DispColon__DM2 CYREG_PRT2_DM2
#define DispColon__DR CYREG_PRT2_DR
#define DispColon__INP_DIS CYREG_PRT2_INP_DIS
#define DispColon__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define DispColon__LCD_EN CYREG_PRT2_LCD_EN
#define DispColon__MASK 0x08u
#define DispColon__PORT 2
#define DispColon__PRT CYREG_PRT2_PRT
#define DispColon__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define DispColon__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define DispColon__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define DispColon__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define DispColon__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define DispColon__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define DispColon__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define DispColon__PS CYREG_PRT2_PS
#define DispColon__SHIFT 3
#define DispColon__SLW CYREG_PRT2_SLW

/* RTC_1_isr */
#define RTC_1_isr__ES2_PATCH 0
#define RTC_1_isr__INTC_CLR_EN_REG CYREG_INTC_CLR_EN2
#define RTC_1_isr__INTC_CLR_PD_REG CYREG_INTC_CLR_PD2
#define RTC_1_isr__INTC_MASK 0x40u
#define RTC_1_isr__INTC_NUMBER 22
#define RTC_1_isr__INTC_PRIOR_NUM 7
#define RTC_1_isr__INTC_PRIOR_REG CYREG_INTC_PRIOR22
#define RTC_1_isr__INTC_SET_EN_REG CYREG_INTC_SET_EN2
#define RTC_1_isr__INTC_SET_PD_REG CYREG_INTC_SET_PD2
#define RTC_1_isr__INTC_VECT (CYREG_INTC_VECT_MBASE+0x2Cu)

/* PilotLED */
#define PilotLED__0__MASK 0x02u
#define PilotLED__0__PC CYREG_IO_PC_PRT15_PC1
#define PilotLED__0__PORT 15
#define PilotLED__0__SHIFT 1
#define PilotLED__AG CYREG_PRT15_AG
#define PilotLED__AMUX CYREG_PRT15_AMUX
#define PilotLED__BIE CYREG_PRT15_BIE
#define PilotLED__BIT_MASK CYREG_PRT15_BIT_MASK
#define PilotLED__BYP CYREG_PRT15_BYP
#define PilotLED__CTL CYREG_PRT15_CTL
#define PilotLED__DM0 CYREG_PRT15_DM0
#define PilotLED__DM1 CYREG_PRT15_DM1
#define PilotLED__DM2 CYREG_PRT15_DM2
#define PilotLED__DR CYREG_PRT15_DR
#define PilotLED__INP_DIS CYREG_PRT15_INP_DIS
#define PilotLED__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define PilotLED__LCD_EN CYREG_PRT15_LCD_EN
#define PilotLED__MASK 0x02u
#define PilotLED__PORT 15
#define PilotLED__PRT CYREG_PRT15_PRT
#define PilotLED__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define PilotLED__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define PilotLED__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define PilotLED__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define PilotLED__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define PilotLED__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define PilotLED__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define PilotLED__PS CYREG_PRT15_PS
#define PilotLED__SHIFT 1
#define PilotLED__SLW CYREG_PRT15_SLW

/* Clock_1 */
#define Clock_1__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define Clock_1__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define Clock_1__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define Clock_1__CFG2_SRC_SEL_MASK 0x07u
#define Clock_1__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_1__PM_ACT_MSK 0x01u
#define Clock_1__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_1__PM_STBY_MSK 0x01u

/* Clock_2 */
#define Clock_2__CFG0 CYREG_CLKDIST_DCFG2_CFG0
#define Clock_2__CFG1 CYREG_CLKDIST_DCFG2_CFG1
#define Clock_2__CFG2 CYREG_CLKDIST_DCFG2_CFG2
#define Clock_2__CFG2_SRC_SEL_MASK 0x07u
#define Clock_2__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_2__PM_ACT_MSK 0x04u
#define Clock_2__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_2__PM_STBY_MSK 0x04u

/* Clock_3 */
#define Clock_3__CFG0 CYREG_CLKDIST_DCFG1_CFG0
#define Clock_3__CFG1 CYREG_CLKDIST_DCFG1_CFG1
#define Clock_3__CFG2 CYREG_CLKDIST_DCFG1_CFG2
#define Clock_3__CFG2_SRC_SEL_MASK 0x07u
#define Clock_3__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_3__PM_ACT_MSK 0x02u
#define Clock_3__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_3__PM_STBY_MSK 0x02u

/* isr_240 */
#define isr_240__ES2_PATCH 0
#define isr_240__INTC_CLR_EN_REG CYREG_INTC_CLR_EN2
#define isr_240__INTC_CLR_PD_REG CYREG_INTC_CLR_PD2
#define isr_240__INTC_MASK 0x80u
#define isr_240__INTC_NUMBER 23
#define isr_240__INTC_PRIOR_NUM 7
#define isr_240__INTC_PRIOR_REG CYREG_INTC_PRIOR23
#define isr_240__INTC_SET_EN_REG CYREG_INTC_SET_EN2
#define isr_240__INTC_SET_PD_REG CYREG_INTC_SET_PD2
#define isr_240__INTC_VECT (CYREG_INTC_VECT_MBASE+0x2Eu)

/* Segment */
#define Segment__0__MASK 0x01u
#define Segment__0__PC CYREG_PRT0_PC0
#define Segment__0__PORT 0
#define Segment__0__SHIFT 0
#define Segment__1__MASK 0x02u
#define Segment__1__PC CYREG_PRT0_PC1
#define Segment__1__PORT 0
#define Segment__1__SHIFT 1
#define Segment__2__MASK 0x04u
#define Segment__2__PC CYREG_PRT0_PC2
#define Segment__2__PORT 0
#define Segment__2__SHIFT 2
#define Segment__3__MASK 0x08u
#define Segment__3__PC CYREG_PRT0_PC3
#define Segment__3__PORT 0
#define Segment__3__SHIFT 3
#define Segment__4__MASK 0x10u
#define Segment__4__PC CYREG_PRT0_PC4
#define Segment__4__PORT 0
#define Segment__4__SHIFT 4
#define Segment__5__MASK 0x20u
#define Segment__5__PC CYREG_PRT0_PC5
#define Segment__5__PORT 0
#define Segment__5__SHIFT 5
#define Segment__6__MASK 0x40u
#define Segment__6__PC CYREG_PRT0_PC6
#define Segment__6__PORT 0
#define Segment__6__SHIFT 6
#define Segment__7__MASK 0x80u
#define Segment__7__PC CYREG_PRT0_PC7
#define Segment__7__PORT 0
#define Segment__7__SHIFT 7
#define Segment__AG CYREG_PRT0_AG
#define Segment__AMUX CYREG_PRT0_AMUX
#define Segment__BIE CYREG_PRT0_BIE
#define Segment__BIT_MASK CYREG_PRT0_BIT_MASK
#define Segment__BYP CYREG_PRT0_BYP
#define Segment__CTL CYREG_PRT0_CTL
#define Segment__DM0 CYREG_PRT0_DM0
#define Segment__DM1 CYREG_PRT0_DM1
#define Segment__DM2 CYREG_PRT0_DM2
#define Segment__DR CYREG_PRT0_DR
#define Segment__INP_DIS CYREG_PRT0_INP_DIS
#define Segment__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Segment__LCD_EN CYREG_PRT0_LCD_EN
#define Segment__MASK 0xFFu
#define Segment__PORT 0
#define Segment__PRT CYREG_PRT0_PRT
#define Segment__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Segment__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Segment__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Segment__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Segment__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Segment__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Segment__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Segment__PS CYREG_PRT0_PS
#define Segment__SHIFT 0
#define Segment__SLW CYREG_PRT0_SLW

/* isr_60 */
#define isr_60__ES2_PATCH 0
#define isr_60__INTC_CLR_EN_REG CYREG_INTC_CLR_EN3
#define isr_60__INTC_CLR_PD_REG CYREG_INTC_CLR_PD3
#define isr_60__INTC_MASK 0x04u
#define isr_60__INTC_NUMBER 26
#define isr_60__INTC_PRIOR_NUM 7
#define isr_60__INTC_PRIOR_REG CYREG_INTC_PRIOR26
#define isr_60__INTC_SET_EN_REG CYREG_INTC_SET_EN3
#define isr_60__INTC_SET_PD_REG CYREG_INTC_SET_PD3
#define isr_60__INTC_VECT (CYREG_INTC_VECT_MBASE+0x34)

/* SCL_1 */
#define SCL_1__0__MASK 0x01u
#define SCL_1__0__PC CYREG_PRT12_PC0
#define SCL_1__0__PORT 12
#define SCL_1__0__SHIFT 0
#define SCL_1__AG CYREG_PRT12_AG
#define SCL_1__BIE CYREG_PRT12_BIE
#define SCL_1__BIT_MASK CYREG_PRT12_BIT_MASK
#define SCL_1__BYP CYREG_PRT12_BYP
#define SCL_1__DM0 CYREG_PRT12_DM0
#define SCL_1__DM1 CYREG_PRT12_DM1
#define SCL_1__DM2 CYREG_PRT12_DM2
#define SCL_1__DR CYREG_PRT12_DR
#define SCL_1__INP_DIS CYREG_PRT12_INP_DIS
#define SCL_1__MASK 0x01u
#define SCL_1__PORT 12
#define SCL_1__PRT CYREG_PRT12_PRT
#define SCL_1__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define SCL_1__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define SCL_1__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define SCL_1__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define SCL_1__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define SCL_1__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define SCL_1__PS CYREG_PRT12_PS
#define SCL_1__SHIFT 0
#define SCL_1__SIO_CFG CYREG_PRT12_SIO_CFG
#define SCL_1__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define SCL_1__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define SCL_1__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define SCL_1__SLW CYREG_PRT12_SLW

/* SDA_1 */
#define SDA_1__0__MASK 0x02u
#define SDA_1__0__PC CYREG_PRT12_PC1
#define SDA_1__0__PORT 12
#define SDA_1__0__SHIFT 1
#define SDA_1__AG CYREG_PRT12_AG
#define SDA_1__BIE CYREG_PRT12_BIE
#define SDA_1__BIT_MASK CYREG_PRT12_BIT_MASK
#define SDA_1__BYP CYREG_PRT12_BYP
#define SDA_1__DM0 CYREG_PRT12_DM0
#define SDA_1__DM1 CYREG_PRT12_DM1
#define SDA_1__DM2 CYREG_PRT12_DM2
#define SDA_1__DR CYREG_PRT12_DR
#define SDA_1__INP_DIS CYREG_PRT12_INP_DIS
#define SDA_1__MASK 0x02u
#define SDA_1__PORT 12
#define SDA_1__PRT CYREG_PRT12_PRT
#define SDA_1__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define SDA_1__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define SDA_1__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define SDA_1__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define SDA_1__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define SDA_1__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define SDA_1__PS CYREG_PRT12_PS
#define SDA_1__SHIFT 1
#define SDA_1__SIO_CFG CYREG_PRT12_SIO_CFG
#define SDA_1__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define SDA_1__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define SDA_1__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define SDA_1__SLW CYREG_PRT12_SLW

/* SW1 */
#define SW1__0__MASK 0x40u
#define SW1__0__PC CYREG_PRT1_PC6
#define SW1__0__PORT 1
#define SW1__0__SHIFT 6
#define SW1__AG CYREG_PRT1_AG
#define SW1__AMUX CYREG_PRT1_AMUX
#define SW1__BIE CYREG_PRT1_BIE
#define SW1__BIT_MASK CYREG_PRT1_BIT_MASK
#define SW1__BYP CYREG_PRT1_BYP
#define SW1__CTL CYREG_PRT1_CTL
#define SW1__DM0 CYREG_PRT1_DM0
#define SW1__DM1 CYREG_PRT1_DM1
#define SW1__DM2 CYREG_PRT1_DM2
#define SW1__DR CYREG_PRT1_DR
#define SW1__INP_DIS CYREG_PRT1_INP_DIS
#define SW1__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define SW1__LCD_EN CYREG_PRT1_LCD_EN
#define SW1__MASK 0x40u
#define SW1__PORT 1
#define SW1__PRT CYREG_PRT1_PRT
#define SW1__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define SW1__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define SW1__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define SW1__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define SW1__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define SW1__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define SW1__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define SW1__PS CYREG_PRT1_PS
#define SW1__SHIFT 6
#define SW1__SLW CYREG_PRT1_SLW

/* SW2 */
#define SW2__0__MASK 0x80u
#define SW2__0__PC CYREG_PRT1_PC7
#define SW2__0__PORT 1
#define SW2__0__SHIFT 7
#define SW2__AG CYREG_PRT1_AG
#define SW2__AMUX CYREG_PRT1_AMUX
#define SW2__BIE CYREG_PRT1_BIE
#define SW2__BIT_MASK CYREG_PRT1_BIT_MASK
#define SW2__BYP CYREG_PRT1_BYP
#define SW2__CTL CYREG_PRT1_CTL
#define SW2__DM0 CYREG_PRT1_DM0
#define SW2__DM1 CYREG_PRT1_DM1
#define SW2__DM2 CYREG_PRT1_DM2
#define SW2__DR CYREG_PRT1_DR
#define SW2__INP_DIS CYREG_PRT1_INP_DIS
#define SW2__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define SW2__LCD_EN CYREG_PRT1_LCD_EN
#define SW2__MASK 0x80u
#define SW2__PORT 1
#define SW2__PRT CYREG_PRT1_PRT
#define SW2__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define SW2__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define SW2__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define SW2__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define SW2__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define SW2__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define SW2__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define SW2__PS CYREG_PRT1_PS
#define SW2__SHIFT 7
#define SW2__SLW CYREG_PRT1_SLW

/* Miscellaneous */
/* -- WARNING: define names containting LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_BOOTLOADER_IO_COMP_I2C_1 1
#define CYDEV_BOOTLOADER_IO_COMP_CUSTOM_IO 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3
#define CYDEV_CHIP_MEMBER_3A 1
#define CYDEV_CHIP_FAMILY_PSOC3 1
#define CYDEV_CHIP_DIE_LEOPARD 1
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_LEOPARD
#define CYDEV_BOOTLOADER_CHECKSUM_BASIC 0
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_APPLICATION_ID 0x0000
#define CYDEV_APPLICATION_VERSION 0x0000
#define CYDEV_BOOTLOADER_CHECKSUM CYDEV_BOOTLOADER_CHECKSUM_BASIC
#define CYDEV_BOOTLOADER_CHECKSUM_CRC 1
#define CYDEV_BOOTLOADER_FAST_VERIFY 0
#define CYDEV_BOOTLOADER_VERSION 0x0000
#define CYDEV_BOOTLOADER_WAIT_COMMAND 1
#define CYDEV_BOOTLOADER_WAIT_TIME 200
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_PANTHER 2
#define CYDEV_CHIP_DIE_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_PSOC4 2
#define CYDEV_CHIP_FAMILY_PSOC5 3
#define CYDEV_CHIP_FAMILY_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC3
#define CYDEV_CHIP_JTAG_ID 0x1E093069
#define CYDEV_CHIP_MEMBER_5A 2
#define CYDEV_CHIP_MEMBER_UNKNOWN 0
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_3A
#define CYDEV_CHIP_REVISION_3A_ES1 0
#define CYDEV_CHIP_REVISION_3A_ES2 1
#define CYDEV_CHIP_REVISION_3A_ES3 3
#define CYDEV_CHIP_REVISION_5A_ES0 0
#define CYDEV_CHIP_REVISION_5A_ES1 1
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_3A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_LEOPARD_PRODUCTION
#define CYDEV_CHIP_REV_LEOPARD_ES1 0
#define CYDEV_CHIP_REV_LEOPARD_ES2 1
#define CYDEV_CHIP_REV_LEOPARD_ES3 3
#define CYDEV_CHIP_REV_PANTHER_ES0 0
#define CYDEV_CHIP_REV_PANTHER_ES1 1
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1
#define CYDEV_CONFIGURATION_CLEAR_SRAM 1
#define CYDEV_CONFIGURATION_COMPRESSED 0
#define CYDEV_CONFIGURATION_DMA 1
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_DMA
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_FORCE_ROUTE 0
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CUSTOM_ID 0x00000000
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 1
#define CYDEV_DEBUG_ENABLE_MASK 0x01
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DMA_CHANNELS_AVAILABLE 24
#define CYDEV_ECC_ENABLE 0
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5
#define CYDEV_VIO3_MV 5000
#define CyBtldr_Custom_Interface CYDEV_BOOTLOADER_IO_COMP_CUSTOM_IO
#define CyBtldr_I2C_1 CYDEV_BOOTLOADER_IO_COMP_I2C_1
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
